html, body {
	margin: 0;
	padding: 0;
	font-family: "Inter", sans-serif;
	background: #e7004b;
}

header, footer {
	text-align: center;
}

header {
	background: #261060;
	color: #ffffff;
	padding-top: 20px;
	padding-bottom: 20px;
	box-shadow: 0px 10px 13px -7px #000000;
}

footer {
	background: #e7004b;
	color: #ffffff;
	padding-top: 20px;
	padding-bottom: 20px;
}

footer a {
	color: #ffffff;
}

header > * {
	padding: 0;
	margin: 0;
}

main {
	padding: 25px 10px 25px 10px;
	background: #ffffff;
}

main .generator-container {
	max-width: 1000px;
	margin-left: auto;
	margin-right: auto;
}

.unstyled-header {
	background: inherit;
	color: inherit;
	margin-bottom: 10px;
	margin-top: 10px;
	padding: 0;
	border: 0;
}

h2, .header {
	background: #261060;
	color: #fff;
	margin-bottom: 0;
	margin-top: 0;
	padding: 10px;
	border-bottom: 1px solid #43278c;
}

.header > h2 {
	margin: 0;
	padding: 0;
	border: 0;
}

button {
	padding: 10px;
	border: 0;
	border-radius: 0;
	background: #e7004b;
	color: #fff;
	font-family: "Inter";
	font-size: unset;
	margin-bottom: 5px;
}

#babis {
	width: 100%;
	margin-bottom: 10px;
}

#video {
	display: inline-block;
	width: 100%;
	height: auto;
}

#details {
	display: grid; 
	grid-template-columns: 1fr 1fr; 
	grid-template-rows: 1fr; 
	gap: 10px 10px; 
	grid-template-areas: 
		"controls information"; 
}

#controls {
	grid-area: controls;
}
#information { grid-area: information }

#sharing {
	margin-top: 35px;
	text-align: center;
}

#video-sources {
	display: flex;
	justify-content: flex-end;
	gap: 2px;
	align-items: center;
}

#video-source-text { margin-right: 5px; }

#reasoning {
	margin: 0;
	font-size: large;
}

#generate-random-image, #save, #tomio {
	width: 100%;
	cursor: pointer;
	transition: 0.1s;
}

#tomio-text {
	padding: 10px;
	border: 0;
	border-radius: 0;
	background: #261060;
	color: #fff;
	font-family: "Inter";
	font-size: unset;
	margin-bottom: 5px;
	box-sizing: border-box;
}

.share-icon:not(:last-child) {
	margin-right: 5px;
}

hr {
	border: 1px solid #261060;
}

textarea, input {
	font-family: "Roboto Condensed", sans-serif;
	width: 100%;
	padding: 7.5px;
}

.select2-container, textarea {
	margin-bottom: 5px;
	text-align: left;
}

.select2-container--default .select2-selection--single {
	height: max-content
}

.select2-image-wrapper {
	display: flex;
	overflow: hidden;
	padding: 5px;
	gap: 10px;
}

.select2-text {
	white-space: normal;
	line-height: initial;
	display: flex;
	align-items: center
}

.select2-container-small-images .select2-image {
	max-height: 40px;
	max-width: 80px
}

.select2-container-medium-images .select2-image {
	max-height: 80px;
	max-width: 160px
}

@media screen and (max-width:1000px) {
	#details {
		grid-template-columns: 1fr;
		grid-template-rows: 1fr 1fr; 
		gap: 10px 10px;
		grid-template-areas: 
			"controls"
			"information"; 
	}
	
	#information {
		margin-top: 30px;
	}
}
